digiKam Developer Documentation: Digikam::BookmarksModel Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Public Member Functions | List of all members
Digikam::BookmarksModel Class Reference

BookmarksModel is a QAbstractItemModel wrapper around the BookmarkManager.

Inheritance diagram for Digikam::BookmarksModel:

## Public Types
enum | Roles { TypeRole = Qt::UserRole + 1 , UrlRole = Qt::UserRole + 2 , UrlStringRole = Qt::UserRole + 3 , SeparatorRole = Qt::UserRole + 4 , DateAddedRole = Qt::UserRole + 5 }

## Public Slots
void | entryAdded (BookmarkNode *item)
void | entryChanged (BookmarkNode *item)
void | entryRemoved (BookmarkNode *parent, int row, BookmarkNode *item)

## Public Member Functions
| BookmarksModel (BookmarksManager *const mngr, QObject *const parent=nullptr)
BookmarksManager * | bookmarksManager () const
int | columnCount (const QModelIndex &parent=QModelIndex()) const override
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const override
bool | dropMimeData (const QMimeData *data, Qt::DropAction action, int row, int column, const QModelIndex &parent) override
Qt::ItemFlags | flags (const QModelIndex &index) const override
bool | hasChildren (const QModelIndex &parent=QModelIndex()) const override
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const override
QModelIndex | index (BookmarkNode *node) const
QModelIndex | index (int, int, const QModelIndex &=QModelIndex()) const override
QMimeData * | mimeData (const QModelIndexList &indexes) const override
QStringList | mimeTypes () const override
BookmarkNode * | node (const QModelIndex &index) const
QModelIndex | parent (const QModelIndex &index=QModelIndex()) const override
bool | removeRows (int row, int count, const QModelIndex &parent=QModelIndex()) override
int | rowCount (const QModelIndex &parent=QModelIndex()) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role=Qt::EditRole) override
Qt::DropActions | supportedDropActions () const override